Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::PositionAttitudeTransform Class Reference

PositionAttitudeTransform - is a Transform. More...

Inheritance diagram for osg::PositionAttitudeTransform:

[legend]
List of all members.

## Public Member Functions
| PositionAttitudeTransform ()
| PositionAttitudeTransform (const PositionAttitudeTransform &pat, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, PositionAttitudeTransform)
virtual PositionAttitudeTransform * | asPositionAttitudeTransform ()
virtual const PositionAttitudeTransform * | asPositionAttitudeTransform () const
void | setPosition (const Vec3d &pos)
const Vec3d & | getPosition () const
void | setAttitude (const Quat &quat)
const Quat & | getAttitude () const
void | setScale (const Vec3d &scale)
const Vec3d & | getScale () const
void | setPivotPoint (const Vec3d &pivot)
const Vec3d & | getPivotPoint () const
virtual bool | computeLocalToWorldMatrix (Matrix &matrix, NodeVisitor *nv) const
virtual bool | computeWorldToLocalMatrix (Matrix &matrix, NodeVisitor *nv) const
## Protected Member Functions
virtual | ~PositionAttitudeTransform ()
## Protected Attributes
Vec3d | _position
Quat | _attitude
Vec3d | _scale
Vec3d | _pivotPoint

## Detailed Description

PositionAttitudeTransform - is a Transform.

Sets the coordinate transform via a Vec3 position and Quat attitude.

## Constructor & Destructor Documentation

osg::PositionAttitudeTransform::PositionAttitudeTransform | ( |  | ) |

osg::PositionAttitudeTransform::PositionAttitudeTransform | ( | const PositionAttitudeTransform & | pat,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

virtual osg::PositionAttitudeTransform::~PositionAttitudeTransform | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual const PositionAttitudeTransform* osg::PositionAttitudeTransform::asPositionAttitudeTransform | ( |  | ) | const`[inline, virtual]`

| Reimplemented from osg::Transform.

virtual PositionAttitudeTransform* osg::PositionAttitudeTransform::asPositionAttitudeTransform | ( |  | ) | `[inline, virtual]`

| Reimplemented from osg::Transform.

virtual bool osg::PositionAttitudeTransform::computeLocalToWorldMatrix | ( | Matrix & | matrix,
|  | NodeVisitor * | nv
| ) | const`[virtual]`

| Reimplemented from osg::Transform.

virtual bool osg::PositionAttitudeTransform::computeWorldToLocalMatrix | ( | Matrix & | matrix,
|  | NodeVisitor * | nv
| ) | const`[virtual]`

| Reimplemented from osg::Transform.

const Quat& osg::PositionAttitudeTransform::getAttitude | ( |  | ) | const`[inline]`

const Vec3d& osg::PositionAttitudeTransform::getPivotPoint | ( |  | ) | const`[inline]`

const Vec3d& osg::PositionAttitudeTransform::getPosition | ( |  | ) | const`[inline]`

const Vec3d& osg::PositionAttitudeTransform::getScale | ( |  | ) | const`[inline]`

osg::PositionAttitudeTransform::META_Node | ( | osg | ,
|  | PositionAttitudeTransform |
| ) |

void osg::PositionAttitudeTransform::setAttitude | ( | const Quat & | quat | ) | `[inline]`

void osg::PositionAttitudeTransform::setPivotPoint | ( | const Vec3d & | pivot | ) | `[inline]`

void osg::PositionAttitudeTransform::setPosition | ( | const Vec3d & | pos | ) | `[inline]`

void osg::PositionAttitudeTransform::setScale | ( | const Vec3d & | scale | ) | `[inline]`

## Member Data Documentation

Quat osg::PositionAttitudeTransform::_attitude`[protected]`

Vec3d osg::PositionAttitudeTransform::_pivotPoint`[protected]`

Vec3d osg::PositionAttitudeTransform::_position`[protected]`

Vec3d osg::PositionAttitudeTransform::_scale`[protected]`

The documentation for this class was generated from the following file:

- PositionAttitudeTransform